## org.eclipse.datatools.modelbase.sql.constraints
Interface ReferenceConstraint

All Superinterfaces:
  Constraint, SQLObject, TableConstraint

All Known Subinterfaces:
  ForeignKey, PrimaryKey, UniqueConstraint

All Known Implementing Classes:
  ForeignKeyImpl, PrimaryKeyImpl, ReferenceConstraintImpl, UniqueConstraintImpl

public interface ReferenceConstraint
extends TableConstraint

A representation of the model object 'Reference Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints

The following features are supported:

- `Members`

See Also:
  `SQLConstraintsPackage.getReferenceConstraint()`

Method Summary
`EList` `getMembers()` Returns the value of the 'Members' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMembers

    public EList getMembers()

  Returns the value of the 'Members' reference list. The list contents are of type `Column`.

  If the meaning of the 'Members' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Members' reference list.
  See Also:
    `SQLConstraintsPackage.getReferenceConstraint_Members()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.